Basic types
D-Bus low-level public API

dbus_bool_t, dbus_int32_t, etc. More...

## Data Structures

struct | DBus8ByteStruct
| An 8-byte struct you could use to access int64 without having int64 support. More...
union | DBusBasicValue
| A simple value union that lets you access bytes as if they were various types; useful when dealing with basic types via void pointers and varargs. More...

## Macros

#define | DBUS_HAVE_INT64 1
| Defined if 64-bit integers are available. More...
#define | DBUS_INT64_CONSTANT(val) (_DBUS_GNUC_EXTENSION (val##LL))
| Declare a 64-bit signed integer constant. More...
#define | DBUS_UINT64_CONSTANT(val) (_DBUS_GNUC_EXTENSION (val##ULL))
| Declare a 64-bit unsigned integer constant. More...

## Typedefs

typedef dbus_uint32_t | dbus_bool_t
| A boolean, valid values are TRUE and FALSE.
typedef unsigned int | dbus_uint32_t
| A 32-bit unsigned integer on all platforms.
typedef int | dbus_int32_t
| A 32-bit signed integer on all platforms.
typedef unsigned short | dbus_uint16_t
| A 16-bit unsigned integer on all platforms.
typedef short | dbus_int16_t
| A 16-bit signed integer on all platforms.

## Variables

_DBUS_GNUC_EXTENSION typedef unsigned long long | dbus_uint64_t
| A 64-bit unsigned integer on all platforms that support it. More...
_DBUS_GNUC_EXTENSION typedef long long | dbus_int64_t
| A 64-bit signed integer on all platforms that support it. More...

## Detailed Description

dbus_bool_t, dbus_int32_t, etc.

Typedefs for common primitive types.

## Macro Definition Documentation

#define DBUS_HAVE_INT64 1

Defined if 64-bit integers are available.

Will be defined on any platform you care about, unless you care about some truly ancient UNIX, or some bizarre embedded platform.

C99 requires a 64-bit type and most likely all interesting compilers support one. GLib for example flat-out requires a 64-bit type.

You should feel comfortable ignoring this macro and just using int64 unconditionally.

#define DBUS_INT64_CONSTANT | ( |  | val) |  | (_DBUS_GNUC_EXTENSION (val##LL))

Declare a 64-bit signed integer constant.

The macro adds the necessary "LL" or whatever after the integer, giving a literal such as "325145246765LL"

Referenced by _dbus_get_real_time(), and _dbus_stat().

#define DBUS_UINT64_CONSTANT | ( |  | val) |  | (_DBUS_GNUC_EXTENSION (val##ULL))

Declare a 64-bit unsigned integer constant.

The macro adds the necessary "ULL" or whatever after the integer, giving a literal such as "325145246765ULL"

## Variable Documentation

dbus_int64_t

A 64-bit signed integer on all platforms that support it.

If supported, DBUS_HAVE_INT64 will be defined.

C99 requires a 64-bit type and most likely all interesting compilers support one. GLib for example flat-out requires a 64-bit type.

You probably want to just assume DBUS_HAVE_INT64 is always defined.

Definition at line 36 of file dbus-arch-deps.h.

Referenced by _dbus_stat().

dbus_uint64_t

A 64-bit unsigned integer on all platforms that support it.

If supported, DBUS_HAVE_INT64 will be defined.

C99 requires a 64-bit type and most likely all interesting compilers support one. GLib for example flat-out requires a 64-bit type.

You probably want to just assume DBUS_HAVE_INT64 is always defined.

Definition at line 37 of file dbus-arch-deps.h.

Referenced by _dbus_get_real_time(), _dbus_marshal_read_basic(), _dbus_swap_array(), and _dbus_verbose_bytes().